# Things to change

 - Document Title
 - Document Subtitle (can be removed)
 - Author (*do not* use `\and`)
 - Company
 - Summary
 - Date
 - Version
 - Initial Revision
 - HyperRef Properties for PDF Creation

# Things to note

 - This works best with PDFLaTeX or LuaLaTeX
 - Floats (Figures, Tables, Equations, &c) are well supported.
 - A sample bibliography is provided as `bibliography.bib`
 - This document provides for a list of figures and a list of tables as needed.

# Things to remember

 - Make sure to use `\label` and `\ref` for complete support of cross-references.  This includes sections, tables, figures and equations.
 - PlantUML is great for producing Class Diagrams.
 - The following citation commands are supported:
     - `\citet` -- Textual citation (`\citet*` includes the full author list)
     - `\citep` -- Parenthetical citation (`\citep*` includes the full author list)
     - These take a single mandatory argument, the citation key.  This can be a single key, or multiple, comma-seperated keys.
     - An optional argument, comming before the mandatory argument, can be used to provide a reference to a specific chapter, set of pages or the like.

## A Quick intro to BibTeX

BibTeX syntax is kinda funky, and as such, this template does include a sample of syntax, both in a file, `bibliography.bib`, and here as follows:

```
    @book{knuth1973,
          author = {Knuth, Donald E},
          title = {The Art of Computer Programming},
          publisher = {Addison-Wesley Publishing Company},
          year = {1973}
    }
```

This is a book, with the citation key `knuth1973`, an author of `Knuth, Donald E.`, a title of `The Art of Computer Programming`, a publisher of `Addison-Wesley Publishing Company` and a publication year of `1973`.

The primary types and relevant fields are:

 - article
     - Required:
         - author
         - title
         - journal
         - year
     - Optional:
         - number
         - pages
         - month
         - note
 - book
     - Required:
         - author or editor
         - title
         - publisher
         - year
     - Optional:
         - volume or number
         - series
         - address
         - edition
         - month
         - note
 - inproceedings
     - Required:
         - author
         - title
         - booktitle
         - year
     - Optional:
         - editor
         - volume or number
         - series
         - pages
         - address
         - month
         - organization
         - publisher
         - note
 - manual
     - Required:
         - title
     - Optional:
         - author
         - organization
         - address
         - edition
         - month
         - year
         - note
 - misc
     - Optional:
         - author
         - title
         - howpublished
         - month
         - year
         - note
         - url
 - techreport
     - Required:
         - author
         - title
         - institution
         - year
     - Optional:
         - type
         - number
         - address
         - month
         - note


# Compilation

 - `pdflatex template`
 - `bibtex template` (if including a bibliography)
 - `pdflatex template`
 - `pdflatex template`
